> ## Documentation Index
> Fetch the complete documentation index at: https://docs.idmetagroup.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Marriage Certificate

> Authenticate Australian marriage certificates via official sources.



## OpenAPI

````yaml api-reference/openapi.json POST /api/v3/verifications/australia/marriage-certificate
openapi: 3.0.3
info:
  title: IDmeta API
  description: IDmeta verification and integration API.
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://{environment-subdomain}.idmetagroup.com
    description: Your environment (replace `{environment-subdomain}`)
    variables:
      environment-subdomain:
        default: integrate
        enum:
          - integrate
          - api.ph
        description: >-
          IDmeta environment subdomain. Use `api.ph` for
          portalph.idmetagroup.com and `integrate` for verify.idmetagroup.com.
security:
  - bearerAuth: []
tags:
  - name: Processes
    description: Verification process endpoints
  - name: Trust Flow Links
    description: Trust Flow link generation endpoints
  - name: Compliance
    description: Compliance verification endpoints
  - name: Government Data
    description: Government data verification endpoints
  - name: Alternative Verifications
    description: Alternative verification and intelligence endpoints
  - name: OCR
    description: Document OCR extraction endpoints
paths:
  /api/v3/verifications/australia/marriage-certificate:
    post:
      tags:
        - Government Data
      summary: AU Marriage Certificate
      description: Authenticate Australian marriage certificates via official sources.
      operationId: auMarriageCertificateVerificationV3
      parameters:
        - name: Accept
          in: header
          required: false
          schema:
            type: string
            default: application/json
        - name: Content-Type
          in: header
          required: false
          schema:
            type: string
            default: application/json
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/AuMarriageCertificateRequest'
            examples:
              default:
                summary: AU marriage certificate verification request
                value:
                  bride_family_name: ''
                  bride_given_name: ''
                  groom_family_name: ''
                  groom_given_name: ''
                  certificate_number: ''
                  date_printed: ''
                  doe: ''
                  registration_date: ''
                  registration_number: ''
                  registration_state: ''
                  trustFlowId: 0
                  trustValidationId: '{your_trust_validation_id}'
      responses:
        '200':
          description: AU marriage certificate verification processed successfully
          headers:
            Content-Type:
              schema:
                type: string
                example: application/json
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AuMarriageCertificateV3Response'
              example:
                success: true
                message: Australia Marriage Certificate processed successfully
                data:
                  isValid: true
                verificationStatus: VERIFIED
                verificationStatusCode: 3
                trustFlowId: 0
                trustValidationId: '{your_trust_validation_id}'
                verificationType: australia_marriage_certificate
                metadata: null
components:
  schemas:
    AuMarriageCertificateRequest:
      type: object
      required:
        - bride_family_name
        - bride_given_name
        - groom_family_name
        - groom_given_name
        - doe
        - registration_state
        - trustFlowId
        - trustValidationId
      properties:
        bride_family_name:
          type: string
          description: Family name of the bride for verification.
        bride_given_name:
          type: string
          description: Given name of the bride.
        groom_family_name:
          type: string
          description: Family name of the groom.
        groom_given_name:
          type: string
          description: Given name of the groom.
        certificate_number:
          type: string
          description: Certificate number issued for the marriage for verification.
        date_printed:
          type: string
          description: Date the certificate was printed in `YYYY-MM-DD` format.
        doe:
          type: string
          description: Date of event (for example, marriage) in `YYYY-MM-DD` format.
        registration_date:
          type: string
          description: Date the marriage was registered in `YYYY-MM-DD` format.
        registration_number:
          type: string
          description: Unique registration number.
        registration_state:
          type: string
          description: State where the marriage was registered (for example WA).
        registration_year:
          type: integer
          description: Year the marriage was registered.
        trustFlowId:
          type: integer
          description: >-
            Identifier used to categorize or group requests for tracking or
            reporting.
        trustValidationId:
          type: string
          description: A unique ID used to identify your verification request.
    AuMarriageCertificateV3Response:
      type: object
      required:
        - success
        - message
        - data
        - verificationStatus
        - verificationStatusCode
        - trustFlowId
        - trustValidationId
        - verificationType
      properties:
        success:
          type: boolean
        message:
          type: string
        data:
          type: object
          properties:
            isValid:
              type: boolean
            Errors:
              type: array
              items:
                type: object
                properties:
                  Field:
                    type: string
                  Message:
                    type: string
                  Source:
                    type: string
                additionalProperties: true
        verificationStatus:
          type: string
        verificationStatusCode:
          type: integer
        trustFlowId:
          type: integer
          description: Trust flow identifier.
        trustValidationId:
          type: string
        verificationType:
          type: string
        metadata:
          type: object
          nullable: true
          additionalProperties: true
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: Use `Bearer {your_api_token}` in the Authorization header.

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.